diff --git a/src/packages/fff/alfred-json/Makefile b/src/packages/fff/alfred-json/Makefile
index 43129c56..87c79d3e 100644
--- a/src/packages/fff/alfred-json/Makefile
+++ b/src/packages/fff/alfred-json/Makefile
@@ -12,11 +12,11 @@ include $(INCLUDE_DIR)/package.mk
 include $(INCLUDE_DIR)/cmake.mk
 
 define Package/alfred-json
-    SECTION:=utils
-    CATEGORY:=Utilities
-    TITLE:=A.L.F.R.E.D - JSON Client
-    URL:=https://github.com/FreifunkFranken/alfred-json
-    DEPENDS:=+jansson +zlib +alfred
+	SECTION:=utils
+	CATEGORY:=Utilities
+	TITLE:=A.L.F.R.E.D - JSON Client
+	URL:=https://github.com/FreifunkFranken/alfred-json
+	DEPENDS:=+jansson +zlib +alfred
 endef
 
 define Package/alfred-json/install
diff --git a/src/packages/fff/fff-alfred-monitoring-proxy/Makefile b/src/packages/fff/fff-alfred-monitoring-proxy/Makefile
index b94fc491..a5be9962 100644
--- a/src/packages/fff/fff-alfred-monitoring-proxy/Makefile
+++ b/src/packages/fff/fff-alfred-monitoring-proxy/Makefile
@@ -9,25 +9,25 @@ PKG_BUILD_DIR:=$(BUILD_DIR)/fff-alfred-monitoring-proxy
 include $(INCLUDE_DIR)/package.mk
 
 define Package/fff-alfred-monitoring-proxy
-    SECTION:=base
-    CATEGORY:=Freifunk
-    TITLE:=Freifunk-Franken Alfred-Monitoring-Proxy
-    URL:=https://www.freifunk-franken.de/
-    DEPENDS:=+curl +micrond +alfred-json +fff-alfred +fff-random
+	SECTION:=base
+	CATEGORY:=Freifunk
+	TITLE:=Freifunk-Franken Alfred-Monitoring-Proxy
+	URL:=https://www.freifunk-franken.de/
+	DEPENDS:=+curl +micrond +alfred-json +fff-alfred +fff-random
 endef
 
 define Package/fff-alfred-monitoring-proxy/description
-    The Alfred-Monitoring-Proxy is used
-    to send node status information to
-    https://monitoring.freifunk-franken.de/
+	The Alfred-Monitoring-Proxy is used
+	to send node status information to
+	https://monitoring.freifunk-franken.de/
 endef
 
 define Build/Prepare
-    echo "all: " > $(PKG_BUILD_DIR)/Makefile
+	echo "all: " > $(PKG_BUILD_DIR)/Makefile
 endef
 
 define Package/fff-alfred-monitoring-proxy/install
-    $(CP) ./files/* $(1)/
+	$(CP) ./files/* $(1)/
 endef
 
 $(eval $(call BuildPackage,fff-alfred-monitoring-proxy))
diff --git a/src/packages/fff/fff-alfred/Makefile b/src/packages/fff/fff-alfred/Makefile
index 2c3140cc..53cf149e 100644
--- a/src/packages/fff/fff-alfred/Makefile
+++ b/src/packages/fff/fff-alfred/Makefile
@@ -9,32 +9,32 @@ PKG_BUILD_DIR:=$(BUILD_DIR)/$(PKG_NAME)
 include $(INCLUDE_DIR)/package.mk
 
 define Package/$(PKG_NAME)
-    SECTION:=base
-    CATEGORY:=Freifunk
-    TITLE:=Freifunk-Franken Alfred
-    URL:=http://www.freifunk-franken.de
-    DEPENDS:=+alfred
+	SECTION:=base
+	CATEGORY:=Freifunk
+	TITLE:=Freifunk-Franken Alfred
+	URL:=http://www.freifunk-franken.de
+	DEPENDS:=+alfred
 endef
 
 define Package/$(PKG_NAME)/description
-    This is the Freifunk Franken Firmware Alfred package.
-    This packages configures the Alfred on the device.
+	This is the Freifunk Franken Firmware Alfred package.
+	This packages configures the Alfred on the device.
 endef
 
 define Build/Prepare
-    echo "all: " > $(PKG_BUILD_DIR)/Makefile
+	echo "all: " > $(PKG_BUILD_DIR)/Makefile
 endef
 
 define Build/Configure
-    # nothing
+	# nothing
 endef
 
 define Build/Compile
-    # nothing
+	# nothing
 endef
 
 define Package/$(PKG_NAME)/install
-    $(CP) ./files/* $(1)/
+	$(CP) ./files/* $(1)/
 endef
 
 $(eval $(call BuildPackage,$(PKG_NAME)))
diff --git a/src/packages/fff/fff-babeld/Makefile b/src/packages/fff/fff-babeld/Makefile
index c53841b8..bb15e3a7 100644
--- a/src/packages/fff/fff-babeld/Makefile
+++ b/src/packages/fff/fff-babeld/Makefile
@@ -9,32 +9,32 @@ PKG_BUILD_DIR:=$(BUILD_DIR)/fff-babeld
 include $(INCLUDE_DIR)/package.mk
 
 define Package/fff-babeld
-    SECTION:=base
-    CATEGORY:=Freifunk
-    TITLE:=Freifunk-Franken babeld configuration example
-    URL:=http://www.freifunk-franken.de
-    DEPENDS:=+babeld
+	SECTION:=base
+	CATEGORY:=Freifunk
+	TITLE:=Freifunk-Franken babeld configuration example
+	URL:=http://www.freifunk-franken.de
+	DEPENDS:=+babeld
 endef
 
 define Package/fff-babeld/description
-    This is the Freifunk Franken Firmware babeld package.
-    This package provides an example babeld configuration.
+	This is the Freifunk Franken Firmware babeld package.
+	This package provides an example babeld configuration.
 endef
 
 define Build/Prepare
-    echo "all: " > $(PKG_BUILD_DIR)/Makefile
+	echo "all: " > $(PKG_BUILD_DIR)/Makefile
 endef
 
 define Build/Configure
-    # nothing
+	# nothing
 endef
 
 define Build/Compile
-    # nothing
+	# nothing
 endef
 
 define Package/fff-babeld/install
-    $(CP) ./files/* $(1)/
+	$(CP) ./files/* $(1)/
 endef
 
 $(eval $(call BuildPackage,fff-babeld))
diff --git a/src/packages/fff/fff-batman-adv-legacy/Makefile b/src/packages/fff/fff-batman-adv-legacy/Makefile
index 99d834c7..0164d247 100644
--- a/src/packages/fff/fff-batman-adv-legacy/Makefile
+++ b/src/packages/fff/fff-batman-adv-legacy/Makefile
@@ -9,20 +9,20 @@ PKG_BUILD_DIR:=$(BUILD_DIR)/$(PKG_NAME)
 include $(INCLUDE_DIR)/package.mk
 
 define Package/$(PKG_NAME)
-    SECTION:=base
-    CATEGORY:=Freifunk
-    TITLE:=Freifunk-Franken batman-adv-legacy
-    URL:=http://www.freifunk-franken.de
-    DEPENDS:=+@PACKAGE_kmod-batman-adv-legacy \
-             +@KMOD_BATMAN_ADV_LEGACY_BLA \
-             +@KMOD_BATMAN_ADV_LEGACY_DAT \
-             +@KMOD_BATMAN_ADV_LEGACY_NC \
-             +@KMOD_BATMAN_ADV_LEGACY_BATCTL
+	SECTION:=base
+	CATEGORY:=Freifunk
+	TITLE:=Freifunk-Franken batman-adv-legacy
+	URL:=http://www.freifunk-franken.de
+	DEPENDS:=+@PACKAGE_kmod-batman-adv-legacy \
+			 +@KMOD_BATMAN_ADV_LEGACY_BLA \
+			 +@KMOD_BATMAN_ADV_LEGACY_DAT \
+			 +@KMOD_BATMAN_ADV_LEGACY_NC \
+			 +@KMOD_BATMAN_ADV_LEGACY_BATCTL
 endef
 
 define Package/$(PKG_NAME)/description
-    This is the batman-adv-legacy for the Freifunk Franken Firmware
-    It is used to configure batman-adv-legacy.
+	This is the batman-adv-legacy for the Freifunk Franken Firmware
+	It is used to configure batman-adv-legacy.
 endef
 
 define Build/Prepare
diff --git a/src/packages/fff/fff-batman-adv/Makefile b/src/packages/fff/fff-batman-adv/Makefile
index 918237c5..ccfef244 100644
--- a/src/packages/fff/fff-batman-adv/Makefile
+++ b/src/packages/fff/fff-batman-adv/Makefile
@@ -9,19 +9,19 @@ PKG_BUILD_DIR:=$(BUILD_DIR)/$(PKG_NAME)
 include $(INCLUDE_DIR)/package.mk
 
 define Package/$(PKG_NAME)
-    SECTION:=base
-    CATEGORY:=Freifunk
-    TITLE:=Freifunk-Franken batman-adv
-    URL:=http://www.freifunk-franken.de
-    DEPENDS:=+kmod-batman-adv \
-             +@KMOD_BATMAN_ADV_BATMAN_V \
-             +@KMOD_BATMAN_ADV_NC \
-             +batctl
+	SECTION:=base
+	CATEGORY:=Freifunk
+	TITLE:=Freifunk-Franken batman-adv
+	URL:=http://www.freifunk-franken.de
+	DEPENDS:=+kmod-batman-adv \
+			 +@KMOD_BATMAN_ADV_BATMAN_V \
+			 +@KMOD_BATMAN_ADV_NC \
+			 +batctl
 endef
 
 define Package/$(PKG_NAME)/description
-    This is the batman-adv for the Freifunk Franken Firmware
-    It is used to configure batman-adv.
+	This is the batman-adv for the Freifunk Franken Firmware
+	It is used to configure batman-adv.
 endef
 
 define Build/Prepare
diff --git a/src/packages/fff/fff-boardname/Makefile b/src/packages/fff/fff-boardname/Makefile
index d7ccd003..d274d888 100644
--- a/src/packages/fff/fff-boardname/Makefile
+++ b/src/packages/fff/fff-boardname/Makefile
@@ -9,31 +9,31 @@ PKG_BUILD_DIR:=$(BUILD_DIR)/$(PKG_NAME)
 include $(INCLUDE_DIR)/package.mk
 
 define Package/$(PKG_NAME)
-    SECTION:=base
-    CATEGORY:=Freifunk
-    TITLE:=Freifunk-Franken boardname
-    URL:=http://www.freifunk-franken.de
+	SECTION:=base
+	CATEGORY:=Freifunk
+	TITLE:=Freifunk-Franken boardname
+	URL:=http://www.freifunk-franken.de
 endef
 
 define Package/$(PKG_NAME)/description
-    This is the Freifunk Franken Firmware boardname package.
-    This packages configures the boardname in the board config.
+	This is the Freifunk Franken Firmware boardname package.
+	This packages configures the boardname in the board config.
 endef
 
 define Build/Prepare
-    echo "all: " > $(PKG_BUILD_DIR)/Makefile
+	echo "all: " > $(PKG_BUILD_DIR)/Makefile
 endef
 
 define Build/Configure
-    # nothing
+	# nothing
 endef
 
 define Build/Compile
-    # nothing
+	# nothing
 endef
 
 define Package/$(PKG_NAME)/install
-    $(CP) ./files/* $(1)/
+	$(CP) ./files/* $(1)/
 endef
 
 $(eval $(call BuildPackage,$(PKG_NAME)))
diff --git a/src/packages/fff/fff-config/Makefile b/src/packages/fff/fff-config/Makefile
index fe4f5df3..89bdc93d 100644
--- a/src/packages/fff/fff-config/Makefile
+++ b/src/packages/fff/fff-config/Makefile
@@ -9,32 +9,32 @@ PKG_BUILD_DIR:=$(BUILD_DIR)/$(PKG_NAME)
 include $(INCLUDE_DIR)/package.mk
 
 define Package/$(PKG_NAME)
-    SECTION:=base
-    CATEGORY:=Freifunk
-    TITLE:=Freifunk-Franken Config
-    URL:=http://www.freifunk-franken.de
-    DEPENDS:=+fff-boardname +@BUSYBOX_CONFIG_WGET
+	SECTION:=base
+	CATEGORY:=Freifunk
+	TITLE:=Freifunk-Franken Config
+	URL:=http://www.freifunk-franken.de
+	DEPENDS:=+fff-boardname +@BUSYBOX_CONFIG_WGET
 endef
 
 define Package/$(PKG_NAME)/description
-    This is the Freifunk Franken Firmware Config package.
-    This packages provides utilities for a central FFF config file.
+	This is the Freifunk Franken Firmware Config package.
+	This packages provides utilities for a central FFF config file.
 endef
 
 define Build/Prepare
-    echo "all: " > $(PKG_BUILD_DIR)/Makefile
+	echo "all: " > $(PKG_BUILD_DIR)/Makefile
 endef
 
 define Build/Configure
-    # nothing
+	# nothing
 endef
 
 define Build/Compile
-    # nothing
+	# nothing
 endef
 
 define Package/$(PKG_NAME)/install
-    $(CP) ./files/* $(1)/
+	$(CP) ./files/* $(1)/
 endef
 
 $(eval $(call BuildPackage,$(PKG_NAME)))
diff --git a/src/packages/fff/fff-dhcp/Makefile b/src/packages/fff/fff-dhcp/Makefile
index d6304128..8ea7e716 100644
--- a/src/packages/fff/fff-dhcp/Makefile
+++ b/src/packages/fff/fff-dhcp/Makefile
@@ -9,32 +9,32 @@ PKG_BUILD_DIR:=$(BUILD_DIR)/fff-dhcp
 include $(INCLUDE_DIR)/package.mk
 
 define Package/fff-dhcp
-    SECTION:=base
-    CATEGORY:=Freifunk
-    TITLE:=Freifunk-Franken dhcp
-    URL:=http://www.freifunk-franken.de
-    DEPENDS:=+dnsmasq
+	SECTION:=base
+	CATEGORY:=Freifunk
+	TITLE:=Freifunk-Franken dhcp
+	URL:=http://www.freifunk-franken.de
+	DEPENDS:=+dnsmasq
 endef
 
 define Package/fff-dhcp/description
-    This is the fff-dhcp for the Freifunk Franken Firmware
-    It is used to configure dnsmasq for use as gateway.
+	This is the fff-dhcp for the Freifunk Franken Firmware
+	It is used to configure dnsmasq for use as gateway.
 endef
 
 define Build/Prepare
-    echo "all: " > $(PKG_BUILD_DIR)/Makefile
+	echo "all: " > $(PKG_BUILD_DIR)/Makefile
 endef
 
 define Build/Configure
-    # nothing
+	# nothing
 endef
 
 define Build/Compile
-    # nothing
+	# nothing
 endef
 
 define Package/fff-dhcp/install
-    $(CP) ./files/* $(1)/
+	$(CP) ./files/* $(1)/
 endef
 
 $(eval $(call BuildPackage,fff-dhcp))
diff --git a/src/packages/fff/fff-fastd/Makefile b/src/packages/fff/fff-fastd/Makefile
index b6ee5fbc..1353f538 100644
--- a/src/packages/fff/fff-fastd/Makefile
+++ b/src/packages/fff/fff-fastd/Makefile
@@ -9,21 +9,21 @@ PKG_BUILD_DIR:=$(BUILD_DIR)/$(PKG_NAME)
 include $(INCLUDE_DIR)/package.mk
 
 define Package/$(PKG_NAME)
-    SECTION:=base
-    CATEGORY:=Freifunk
-    TITLE:=Freifunk-Franken fastd configuration script
-    URL:=http://www.freifunk-franken.de
-    DEPENDS:=+@BUSYBOX_CUSTOM \
-             +@FASTD_ENABLE_METHOD_NULL \
-             +@FASTD_ENABLE_CIPHER_NULL \
-             +@FASTD_WITH_STATUS_SOCKET \
-             +fastd \
-             +fff-random
+	SECTION:=base
+	CATEGORY:=Freifunk
+	TITLE:=Freifunk-Franken fastd configuration script
+	URL:=http://www.freifunk-franken.de
+	DEPENDS:=+@BUSYBOX_CUSTOM \
+			 +@FASTD_ENABLE_METHOD_NULL \
+			 +@FASTD_ENABLE_CIPHER_NULL \
+			 +@FASTD_WITH_STATUS_SOCKET \
+			 +fastd \
+			 +fff-random
 endef
 
 define Package/$(PKG_NAME)/description
-    This is the fastd for the Freifunk Franken Firmware
-    It is used to configure fastd.
+	This is the fastd for the Freifunk Franken Firmware
+	It is used to configure fastd.
 endef
 
 define Build/Prepare
diff --git a/src/packages/fff/fff-firewall/Makefile b/src/packages/fff/fff-firewall/Makefile
index e63010cb..5d56afb2 100644
--- a/src/packages/fff/fff-firewall/Makefile
+++ b/src/packages/fff/fff-firewall/Makefile
@@ -9,20 +9,20 @@ PKG_BUILD_DIR:=$(BUILD_DIR)/$(PKG_NAME)
 include $(INCLUDE_DIR)/package.mk
 
 define Package/$(PKG_NAME)
-    SECTION:=base
-    CATEGORY:=Freifunk
-    TITLE:=Freifunk-Franken firewall
-    URL:=http://www.freifunk-franken.de
-    DEPENDS:=+arptables \
-             +ebtables +ebtables-utils \
-             +kmod-ebtables-ipv4 +kmod-ebtables-ipv6 \
-             +iptables-mod-filter +iptables-mod-ipopt +iptables-mod-conntrack-extra \
-             +kmod-nf-conntrack6
+	SECTION:=base
+	CATEGORY:=Freifunk
+	TITLE:=Freifunk-Franken firewall
+	URL:=http://www.freifunk-franken.de
+	DEPENDS:=+arptables \
+			 +ebtables +ebtables-utils \
+			 +kmod-ebtables-ipv4 +kmod-ebtables-ipv6 \
+			 +iptables-mod-filter +iptables-mod-ipopt +iptables-mod-conntrack-extra \
+			 +kmod-nf-conntrack6
 endef
 
 define Package/$(PKG_NAME)/description
-    This is the firewall for the Freifunk Franken Firmware
-    It is used to configure firewall.
+	This is the firewall for the Freifunk Franken Firmware
+	It is used to configure firewall.
 endef
 
 define Build/Prepare
diff --git a/src/packages/fff/fff-hoods/Makefile b/src/packages/fff/fff-hoods/Makefile
index fb1ae180..f1a62896 100644
--- a/src/packages/fff/fff-hoods/Makefile
+++ b/src/packages/fff/fff-hoods/Makefile
@@ -9,15 +9,15 @@ PKG_BUILD_DIR:=$(BUILD_DIR)/$(PKG_NAME)
 include $(INCLUDE_DIR)/package.mk
 
 define Package/$(PKG_NAME)
-    SECTION:=base
-    CATEGORY:=Freifunk
-    TITLE:= Freifunk-Franken hoods
-    URL:=http://www.freifunk-franken.de
-    DEPENDS:=+fff-hoodutils +fff-macnock +fff-vpn-select +fff-firewall
+	SECTION:=base
+	CATEGORY:=Freifunk
+	TITLE:= Freifunk-Franken hoods
+	URL:=http://www.freifunk-franken.de
+	DEPENDS:=+fff-hoodutils +fff-macnock +fff-vpn-select +fff-firewall
 endef
 
 define Package/$(PKG_NAME)/description
-    This package load and configures the current hood
+	This package load and configures the current hood
 endef
 
 define Build/Prepare
diff --git a/src/packages/fff/fff-hoodutils/Makefile b/src/packages/fff/fff-hoodutils/Makefile
index f2ccf372..74773682 100644
--- a/src/packages/fff/fff-hoodutils/Makefile
+++ b/src/packages/fff/fff-hoodutils/Makefile
@@ -9,16 +9,16 @@ PKG_BUILD_DIR:=$(BUILD_DIR)/$(PKG_NAME)
 include $(INCLUDE_DIR)/package.mk
 
 define Package/$(PKG_NAME)
-    SECTION:=base
-    CATEGORY:=Freifunk
-    TITLE:= Freifunk-Franken hoodutils
-    URL:=http://www.freifunk-franken.de
-    DEPENDS:=+fff-network +fff-config
+	SECTION:=base
+	CATEGORY:=Freifunk
+	TITLE:= Freifunk-Franken hoodutils
+	URL:=http://www.freifunk-franken.de
+	DEPENDS:=+fff-network +fff-config
 endef
 
 define Package/$(PKG_NAME)/description
-    This package contains hood-related code that may
-    may be used outside of configurehood
+	This package contains hood-related code that may
+	may be used outside of configurehood
 endef
 
 define Build/Prepare
diff --git a/src/packages/fff/fff-macnock/Makefile b/src/packages/fff/fff-macnock/Makefile
index 359c45df..27e699b1 100644
--- a/src/packages/fff/fff-macnock/Makefile
+++ b/src/packages/fff/fff-macnock/Makefile
@@ -17,18 +17,18 @@ include $(INCLUDE_DIR)/cmake.mk
 CMAKE_OPTIONS:=-DMACNOCK_DEBUG=ON
 
 define Package/$(PKG_NAME)
-    SECTION:=base
-    CATEGORY:=Freifunk
-    TITLE:= Freifunk-Franken mac nocker
-    URL:=http://www.freifunk-franken.de
-    KCONFIG:= \
-        CONFIG_NET_EMATCH=y \
-        CONFIG_NET_EMATCH_U32=y \
-        CONFIG_NET_CLS_BASIC=y \
-        CONFIG_NET_CLS_ACT=y \
-        CONFIG_NET_ACT_GACT=y \
-        CONFIG_NET_CLS_U32=y
-    DEPENDS:=+fff-network
+	SECTION:=base
+	CATEGORY:=Freifunk
+	TITLE:= Freifunk-Franken mac nocker
+	URL:=http://www.freifunk-franken.de
+	KCONFIG:= \
+		CONFIG_NET_EMATCH=y \
+		CONFIG_NET_EMATCH_U32=y \
+		CONFIG_NET_CLS_BASIC=y \
+		CONFIG_NET_CLS_ACT=y \
+		CONFIG_NET_ACT_GACT=y \
+		CONFIG_NET_CLS_U32=y
+	DEPENDS:=+fff-network
 endef
 
 define Package/$(PKG_NAME)/install
diff --git a/src/packages/fff/fff-network/Makefile b/src/packages/fff/fff-network/Makefile
index 980800ae..e9335884 100644
--- a/src/packages/fff/fff-network/Makefile
+++ b/src/packages/fff/fff-network/Makefile
@@ -9,15 +9,15 @@ PKG_BUILD_DIR:=$(BUILD_DIR)/$(PKG_NAME)
 include $(INCLUDE_DIR)/package.mk
 
 define Package/$(PKG_NAME)
-    SECTION:=base
-    CATEGORY:=Freifunk
-    TITLE:= Freifunk-Franken network configuration
-    URL:=http://www.freifunk-franken.de
-    DEPENDS:=+fff-uradvd +fff-boardname +fff-firewall
+	SECTION:=base
+	CATEGORY:=Freifunk
+	TITLE:= Freifunk-Franken network configuration
+	URL:=http://www.freifunk-franken.de
+	DEPENDS:=+fff-uradvd +fff-boardname +fff-firewall
 endef
 
 define Package/$(PKG_NAME)/description
-    This package configures the network interfaces
+	This package configures the network interfaces
 endef
 
 define Build/Prepare
diff --git a/src/packages/fff/fff-nodewatcher/Makefile b/src/packages/fff/fff-nodewatcher/Makefile
index 3c66a0ae..eea86ae6 100644
--- a/src/packages/fff/fff-nodewatcher/Makefile
+++ b/src/packages/fff/fff-nodewatcher/Makefile
@@ -9,18 +9,18 @@ PKG_BUILD_DIR:=$(BUILD_DIR)/$(PKG_NAME)
 include $(INCLUDE_DIR)/package.mk
 
 define Package/$(PKG_NAME)
-    SECTION:=base
-    CATEGORY:=Freifunk
-    TITLE:= Freifunk-Franken Nodewatcher
-    URL:=http://www.freifunk-franken.de
-    DEPENDS:=+fff-alfred +micrond +fff-config +fff-random +ip +ip-bridge
+	SECTION:=base
+	CATEGORY:=Freifunk
+	TITLE:= Freifunk-Franken Nodewatcher
+	URL:=http://www.freifunk-franken.de
+	DEPENDS:=+fff-alfred +micrond +fff-config +fff-random +ip +ip-bridge
 endef
 
 define Package/$(PKG_NAME)/description
-    This is the Nodewatcher for the Freifunk Franken Firmware
-    It is used to send node status information to
-    monitoring.freifunk-franken.de and
-    netmon.freifunk-franken.de
+	This is the Nodewatcher for the Freifunk Franken Firmware
+	It is used to send node status information to
+	monitoring.freifunk-franken.de and
+	netmon.freifunk-franken.de
 endef
 
 define Build/Prepare
@@ -36,7 +36,7 @@ define Build/Compile
 endef
 
 define Package/$(PKG_NAME)/install
-    $(CP) ./files/* $(1)/
+	$(CP) ./files/* $(1)/
 endef
 
 $(eval $(call BuildPackage,$(PKG_NAME)))
diff --git a/src/packages/fff/fff-ra/Makefile b/src/packages/fff/fff-ra/Makefile
index 64b02eaa..e17adf95 100644
--- a/src/packages/fff/fff-ra/Makefile
+++ b/src/packages/fff/fff-ra/Makefile
@@ -9,32 +9,32 @@ PKG_BUILD_DIR:=$(BUILD_DIR)/fff-ra
 include $(INCLUDE_DIR)/package.mk
 
 define Package/fff-ra
-    SECTION:=base
-    CATEGORY:=Freifunk
-    TITLE:=Freifunk-Franken Router Advertisements
-    URL:=https://www.freifunk-franken.de
-    DEPENDS:=+odhcpd
+	SECTION:=base
+	CATEGORY:=Freifunk
+	TITLE:=Freifunk-Franken Router Advertisements
+	URL:=https://www.freifunk-franken.de
+	DEPENDS:=+odhcpd
 endef
 
 define Package/fff-ra/description
-    This is the fff-ra for the Freifunk Franken Firmware
-    It is used to configure odhcpd to send Router Advertisements for use as gateway.
+	This is the fff-ra for the Freifunk Franken Firmware
+	It is used to configure odhcpd to send Router Advertisements for use as gateway.
 endef
 
 define Build/Prepare
-    echo "all: " > $(PKG_BUILD_DIR)/Makefile
+	echo "all: " > $(PKG_BUILD_DIR)/Makefile
 endef
 
 define Build/Configure
-    # nothing
+	# nothing
 endef
 
 define Build/Compile
-    # nothing
+	# nothing
 endef
 
 define Package/fff-ra/install
-    $(CP) ./files/* $(1)/
+	$(CP) ./files/* $(1)/
 endef
 
 $(eval $(call BuildPackage,fff-ra))
diff --git a/src/packages/fff/fff-support/Makefile b/src/packages/fff/fff-support/Makefile
index 098bbb39..73066adb 100644
--- a/src/packages/fff/fff-support/Makefile
+++ b/src/packages/fff/fff-support/Makefile
@@ -9,17 +9,17 @@ PKG_BUILD_DIR:=$(BUILD_DIR)/$(PKG_NAME)
 include $(INCLUDE_DIR)/package.mk
 
 define Package/$(PKG_NAME)
-    SECTION:=base
-    CATEGORY:=Freifunk
-    TITLE:=Freifunk-Franken Support Scripts
-    URL:=http://www.freifunk-franken.de
-    DEPENDS:=+@BUSYBOX_CONFIG_ASH +fff-config +fff-hoodutils
+	SECTION:=base
+	CATEGORY:=Freifunk
+	TITLE:=Freifunk-Franken Support Scripts
+	URL:=http://www.freifunk-franken.de
+	DEPENDS:=+@BUSYBOX_CONFIG_ASH +fff-config +fff-hoodutils
 endef
 
 define Package/$(PKG_NAME)/description
-    This is the Freifunk Franken Firmware support package.
-    This packages provides smaller convenience scripts,
-    not essential to the operation of the Firmware
+	This is the Freifunk Franken Firmware support package.
+	This packages provides smaller convenience scripts,
+	not essential to the operation of the Firmware
 endef
 
 define Build/Prepare
diff --git a/src/packages/fff/fff-sysupgrade/Makefile b/src/packages/fff/fff-sysupgrade/Makefile
index 1ed3d46c..1f7b65eb 100644
--- a/src/packages/fff/fff-sysupgrade/Makefile
+++ b/src/packages/fff/fff-sysupgrade/Makefile
@@ -9,32 +9,32 @@ PKG_BUILD_DIR:=$(BUILD_DIR)/$(PKG_NAME)
 include $(INCLUDE_DIR)/package.mk
 
 define Package/$(PKG_NAME)
-    SECTION:=base
-    CATEGORY:=Freifunk
-    TITLE:=Freifunk-Franken sysupgrade
-    URL:=http://www.freifunk-franken.de
-    DEPENDS:=+fff-boardname +fff-config +fff-hoodutils +@BUSYBOX_CONFIG_WGET
+	SECTION:=base
+	CATEGORY:=Freifunk
+	TITLE:=Freifunk-Franken sysupgrade
+	URL:=http://www.freifunk-franken.de
+	DEPENDS:=+fff-boardname +fff-config +fff-hoodutils +@BUSYBOX_CONFIG_WGET
 endef
 
 define Package/$(PKG_NAME)/description
-    This is the Freifunk Franken Firmware sysupgrade package.
-    This packages provides an semi automated sysupgrade script.
+	This is the Freifunk Franken Firmware sysupgrade package.
+	This packages provides an semi automated sysupgrade script.
 endef
 
 define Build/Prepare
-    echo "all: " > $(PKG_BUILD_DIR)/Makefile
+	echo "all: " > $(PKG_BUILD_DIR)/Makefile
 endef
 
 define Build/Configure
-    # nothing
+	# nothing
 endef
 
 define Build/Compile
-    # nothing
+	# nothing
 endef
 
 define Package/$(PKG_NAME)/install
-    $(CP) ./files/* $(1)/
+	$(CP) ./files/* $(1)/
 endef
 
 $(eval $(call BuildPackage,$(PKG_NAME)))
diff --git a/src/packages/fff/fff-timeserver/Makefile b/src/packages/fff/fff-timeserver/Makefile
index 9a289f27..5559da4d 100644
--- a/src/packages/fff/fff-timeserver/Makefile
+++ b/src/packages/fff/fff-timeserver/Makefile
@@ -9,31 +9,31 @@ PKG_BUILD_DIR:=$(BUILD_DIR)/$(PKG_NAME)
 include $(INCLUDE_DIR)/package.mk
 
 define Package/$(PKG_NAME)
-    SECTION:=base
-    CATEGORY:=Freifunk
-    TITLE:=Freifunk-Franken timeserver
-    URL:=http://www.freifunk-franken.de
+	SECTION:=base
+	CATEGORY:=Freifunk
+	TITLE:=Freifunk-Franken timeserver
+	URL:=http://www.freifunk-franken.de
 endef
 
 define Package/$(PKG_NAME)/description
-    This is the Freifunk Franken Firmware timeserver package.
-    This packages configures the timeserver on the device.
+	This is the Freifunk Franken Firmware timeserver package.
+	This packages configures the timeserver on the device.
 endef
 
 define Build/Prepare
-    echo "all: " > $(PKG_BUILD_DIR)/Makefile
+	echo "all: " > $(PKG_BUILD_DIR)/Makefile
 endef
 
 define Build/Configure
-    # nothing
+	# nothing
 endef
 
 define Build/Compile
-    # nothing
+	# nothing
 endef
 
 define Package/$(PKG_NAME)/install
-    $(CP) ./files/* $(1)/
+	$(CP) ./files/* $(1)/
 endef
 
 $(eval $(call BuildPackage,$(PKG_NAME)))
diff --git a/src/packages/fff/fff-tunneldigger/Makefile b/src/packages/fff/fff-tunneldigger/Makefile
index ea9daa41..2ee3998d 100644
--- a/src/packages/fff/fff-tunneldigger/Makefile
+++ b/src/packages/fff/fff-tunneldigger/Makefile
@@ -9,31 +9,31 @@ PKG_BUILD_DIR:=$(BUILD_DIR)/$(PKG_NAME)
 include $(INCLUDE_DIR)/package.mk
 
 define Package/$(PKG_NAME)
-    SECTION:=base
-    CATEGORY:=Freifunk
-    TITLE:= Freifunk-Franken tunneldigger
-    URL:=http://www.freifunk-franken.de
-    DEPENDS:=+tunneldigger
+	SECTION:=base
+	CATEGORY:=Freifunk
+	TITLE:= Freifunk-Franken tunneldigger
+	URL:=http://www.freifunk-franken.de
+	DEPENDS:=+tunneldigger
 endef
 
 define Package/$(PKG_NAME)/description
-    This is tunneldigger for the Freifunk Franken Firmware
+	This is tunneldigger for the Freifunk Franken Firmware
 endef
 
 define Build/Prepare
-       echo "all: " > $(PKG_BUILD_DIR)/Makefile
+	echo "all: " > $(PKG_BUILD_DIR)/Makefile
 endef
 
 define Build/Configure
-       # nothing
+	# nothing
 endef
 
 define Build/Compile
-       # nothing
+	# nothing
 endef
 
 define Package/$(PKG_NAME)/install
-        $(CP) ./files/* $(1)/
+	$(CP) ./files/* $(1)/
 endef
 
 $(eval $(call BuildPackage,$(PKG_NAME)))
diff --git a/src/packages/fff/fff-uradvd/Makefile b/src/packages/fff/fff-uradvd/Makefile
index 3dcf2198..5d093662 100644
--- a/src/packages/fff/fff-uradvd/Makefile
+++ b/src/packages/fff/fff-uradvd/Makefile
@@ -9,16 +9,16 @@ PKG_BUILD_DIR:=$(BUILD_DIR)/$(PKG_NAME)
 include $(INCLUDE_DIR)/package.mk
 
 define Package/$(PKG_NAME)
-    SECTION:=base
-    CATEGORY:=Freifunk
-    TITLE:= Freifunk-Franken uradvd
-    URL:=http://www.freifunk-franken.de
-    DEPENDS:=+uradvd
+	SECTION:=base
+	CATEGORY:=Freifunk
+	TITLE:= Freifunk-Franken uradvd
+	URL:=http://www.freifunk-franken.de
+	DEPENDS:=+uradvd
 endef
 
 define Package/$(PKG_NAME)/description
-    This is the uradvd wrapper for the Freifunk Franken Firmware
-    It is used to configure and start the uradvd daemon.
+	This is the uradvd wrapper for the Freifunk Franken Firmware
+	It is used to configure and start the uradvd daemon.
 endef
 
 define Build/Prepare
@@ -34,7 +34,7 @@ define Build/Compile
 endef
 
 define Package/$(PKG_NAME)/install
-    $(CP) ./files/* $(1)/
+	$(CP) ./files/* $(1)/
 endef
 
 $(eval $(call BuildPackage,$(PKG_NAME)))
diff --git a/src/packages/fff/fff-vpn-select/Makefile b/src/packages/fff/fff-vpn-select/Makefile
index 27cff09a..e91c6e2d 100644
--- a/src/packages/fff/fff-vpn-select/Makefile
+++ b/src/packages/fff/fff-vpn-select/Makefile
@@ -9,34 +9,34 @@ PKG_BUILD_DIR:=$(BUILD_DIR)/$(PKG_NAME)
 include $(INCLUDE_DIR)/package.mk
 
 define Package/$(PKG_NAME)
-    SECTION:=base
-    CATEGORY:=Freifunk
-    TITLE:= Freifunk-Franken vpn-select
-    URL:=http://www.freifunk-franken.de
-    DEPENDS:=+@BUSYBOX_CONFIG_FEATURE_WGET_TIMEOUT \
-             +fff-tunneldigger \
-             +fff-fastd
+	SECTION:=base
+	CATEGORY:=Freifunk
+	TITLE:= Freifunk-Franken vpn-select
+	URL:=http://www.freifunk-franken.de
+	DEPENDS:=+@BUSYBOX_CONFIG_FEATURE_WGET_TIMEOUT \
+			 +fff-tunneldigger \
+			 +fff-fastd
 endef
 
 define Package/$(PKG_NAME)/description
-    This package selects and starts the VPN 
-    In this version fastd and l2tp via tunneldigger
+	This package selects and starts the VPN 
+	In this version fastd and l2tp via tunneldigger
 endef
 
 define Build/Prepare
-       echo "all: " > $(PKG_BUILD_DIR)/Makefile
+	echo "all: " > $(PKG_BUILD_DIR)/Makefile
 endef
 
 define Build/Configure
-       # nothing
+	# nothing
 endef
 
 define Build/Compile
-       # nothing
+	# nothing
 endef
 
 define Package/$(PKG_NAME)/install
-       $(CP) ./files/* $(1)/
+	$(CP) ./files/* $(1)/
 endef
 
 $(eval $(call BuildPackage,$(PKG_NAME)))
diff --git a/src/packages/fff/fff-web/Makefile b/src/packages/fff/fff-web/Makefile
index 308031d1..7a3c4e38 100644
--- a/src/packages/fff/fff-web/Makefile
+++ b/src/packages/fff/fff-web/Makefile
@@ -9,15 +9,15 @@ PKG_BUILD_DIR:=$(BUILD_DIR)/$(PKG_NAME)
 include $(INCLUDE_DIR)/package.mk
 
 define Package/$(PKG_NAME)
-    SECTION:=base
-    CATEGORY:=Freifunk
-    TITLE:= Freifunk-Franken Webinterface
-    URL:=http://www.freifunk-franken.de
-    DEPENDS:=+uhttpd +libustream-mbedtls +haserl +px5g +simple-tc +fff-boardname +fff-config +fff-network +fff-hoodutils
+	SECTION:=base
+	CATEGORY:=Freifunk
+	TITLE:= Freifunk-Franken Webinterface
+	URL:=http://www.freifunk-franken.de
+	DEPENDS:=+uhttpd +libustream-mbedtls +haserl +px5g +simple-tc +fff-boardname +fff-config +fff-network +fff-hoodutils
 endef
 
 define Package/$(PKG_NAME)/description
-    This is the Webinterface for the Freifunk Franken Firmware
+	This is the Webinterface for the Freifunk Franken Firmware
 endef
 
 define Build/Prepare
diff --git a/src/packages/fff/fff-wireless/Makefile b/src/packages/fff/fff-wireless/Makefile
index c5486543..3bc1862b 100644
--- a/src/packages/fff/fff-wireless/Makefile
+++ b/src/packages/fff/fff-wireless/Makefile
@@ -9,31 +9,31 @@ PKG_BUILD_DIR:=$(BUILD_DIR)/$(PKG_NAME)
 include $(INCLUDE_DIR)/package.mk
 
 define Package/$(PKG_NAME)
-    SECTION:=base
-    CATEGORY:=Freifunk
-    TITLE:= Freifunk-Franken wireless configuration
-    URL:=http://www.freifunk-franken.de
-    DEPENDS:=+@ATH_USER_REGD +wireless-tools +fff-boardname
+	SECTION:=base
+	CATEGORY:=Freifunk
+	TITLE:= Freifunk-Franken wireless configuration
+	URL:=http://www.freifunk-franken.de
+	DEPENDS:=+@ATH_USER_REGD +wireless-tools +fff-boardname
 endef
 
 define Package/$(PKG_NAME)/description
-    This package configures the wireless interfaces.
+	This package configures the wireless interfaces.
 endef
 
 define Build/Prepare
-    echo "all: " > $(PKG_BUILD_DIR)/Makefile
+	echo "all: " > $(PKG_BUILD_DIR)/Makefile
 endef
 
 define Build/Configure
-    # nothing
+	# nothing
 endef
 
 define Build/Compile
-    # nothing
+	# nothing
 endef
 
 define Package/$(PKG_NAME)/install
-    $(CP) ./files/* $(1)/
+	$(CP) ./files/* $(1)/
 endef
 
 $(eval $(call BuildPackage,$(PKG_NAME)))
diff --git a/src/packages/fff/fff/Makefile b/src/packages/fff/fff/Makefile
index 7ba8d82a..7d8009bd 100644
--- a/src/packages/fff/fff/Makefile
+++ b/src/packages/fff/fff/Makefile
@@ -9,38 +9,38 @@ PKG_BUILD_DIR:=$(BUILD_DIR)/fff
 include $(INCLUDE_DIR)/package.mk
 
 define Package/fff/base
-    SECTION:=base
-    CATEGORY:=Freifunk
-    TITLE:=Freifunk-Franken Base
-    URL:=http://www.freifunk-franken.de
-    DEPENDS:=+iptables \
-             +ip6tables \
-             +odhcp6c \
-             +micrond \
-             +fff-config \
-             +fff-nodewatcher \
-             +fff-web \
-             +fff-batman-adv \
-             +fff-support \
-             +fff-network \
-             +fff-sysupgrade \
-             +fff-wireless \
-             +fff-timeserver \
-             +simple-tc
+	SECTION:=base
+	CATEGORY:=Freifunk
+	TITLE:=Freifunk-Franken Base
+	URL:=http://www.freifunk-franken.de
+	DEPENDS:=+iptables \
+			 +ip6tables \
+			 +odhcp6c \
+			 +micrond \
+			 +fff-config \
+			 +fff-nodewatcher \
+			 +fff-web \
+			 +fff-batman-adv \
+			 +fff-support \
+			 +fff-network \
+			 +fff-sysupgrade \
+			 +fff-wireless \
+			 +fff-timeserver \
+			 +simple-tc
 endef
 
 define Package/fff/base/description
-    This is the Freifunk Franken Firmware Base package
+	This is the Freifunk Franken Firmware Base package
 endef
 
 define Package/fff-node
-    $(call Package/fff/base)
-    TITLE+=(Home node)
-    DEPENDS+=+fff-fastd \
-             +fff-firewall \
-             +fff-uradvd \
-             +fff-hoods
-    VARIANT:=homenode
+	$(call Package/fff/base)
+	TITLE+=(Home node)
+	DEPENDS+=+fff-fastd \
+			 +fff-firewall \
+			 +fff-uradvd \
+			 +fff-hoods
+	VARIANT:=homenode
 endef
 
 define Package/fff-node/description
@@ -48,28 +48,28 @@ define Package/fff-node/description
 endef
 
 define Package/fff-layer3
-    $(call Package/fff/base)
-    TITLE+=(Layer 3 Gateway)
-    DEPENDS+=+fff-dhcp \
-             +fff-babeld \
-             +fff-ra \
-             +arptables \
-             +ebtables \
-             +ebtables-utils \
-             +kmod-ebtables-ipv4 \
-             +kmod-ebtables-ipv6 \
-             +iptables-mod-filter \
-             +iptables-mod-ipopt \
-             +iptables-mod-conntrack-extra \
-             +gre \
-             +@PACKAGE_grev4 \
-             +@PACKAGE_grev6 \
-             +fff-alfred-monitoring-proxy
-    VARIANT:=layer3
+	$(call Package/fff/base)
+	TITLE+=(Layer 3 Gateway)
+	DEPENDS+=+fff-dhcp \
+			 +fff-babeld \
+			 +fff-ra \
+			 +arptables \
+			 +ebtables \
+			 +ebtables-utils \
+			 +kmod-ebtables-ipv4 \
+			 +kmod-ebtables-ipv6 \
+			 +iptables-mod-filter \
+			 +iptables-mod-ipopt \
+			 +iptables-mod-conntrack-extra \
+			 +gre \
+			 +@PACKAGE_grev4 \
+			 +@PACKAGE_grev6 \
+			 +fff-alfred-monitoring-proxy
+	VARIANT:=layer3
 endef
 
 define Package/fff-layer3/description
-    $(call Package/fff/base/description)
+	$(call Package/fff/base/description)
 endef
 
 $(eval $(call BuildPackage,fff-node))
diff --git a/src/packages/fff/fff/variant-layer3.mk b/src/packages/fff/fff/variant-layer3.mk
index fb6dbc70..aa8627db 100644
--- a/src/packages/fff/fff/variant-layer3.mk
+++ b/src/packages/fff/fff/variant-layer3.mk
@@ -1,15 +1,15 @@
 define Package/fff-default
-    SECTION:=base
-    CATEGORY:=Freifunk
-    DEFAULT:=y
-    TITLE:=Freifunk-Franken Base default switcher
-    URL:=http://www.freifunk-franken.de
-    DEPENDS:=+fff-layer3
+	SECTION:=base
+	CATEGORY:=Freifunk
+	DEFAULT:=y
+	TITLE:=Freifunk-Franken Base default switcher
+	URL:=http://www.freifunk-franken.de
+	DEPENDS:=+fff-layer3
 endef
 
 define Package/fff-default/description
-    This package is used to switch on of the Freifunk Franken
-    package on per default
+	This package is used to switch on of the Freifunk Franken
+	package on per default
 endef
 
 $(eval $(call BuildPackage,fff-default))
diff --git a/src/packages/fff/fff/variant-node.mk b/src/packages/fff/fff/variant-node.mk
index 11b9734c..5738f7d9 100644
--- a/src/packages/fff/fff/variant-node.mk
+++ b/src/packages/fff/fff/variant-node.mk
@@ -1,15 +1,15 @@
 define Package/fff-default
-    SECTION:=base
-    CATEGORY:=Freifunk
-    DEFAULT:=y
-    TITLE:=Freifunk-Franken Base default switcher
-    URL:=http://www.freifunk-franken.de
-    DEPENDS:=+fff-node
+	SECTION:=base
+	CATEGORY:=Freifunk
+	DEFAULT:=y
+	TITLE:=Freifunk-Franken Base default switcher
+	URL:=http://www.freifunk-franken.de
+	DEPENDS:=+fff-node
 endef
 
 define Package/fff-default/description
-    This package is used to switch on of the Freifunk Franken
-    package on per default
+	This package is used to switch on of the Freifunk Franken
+	package on per default
 endef
 
 $(eval $(call BuildPackage,fff-default))
diff --git a/src/packages/fff/tunneldigger/Makefile b/src/packages/fff/tunneldigger/Makefile
index 71a4fa31..d27827b6 100644
--- a/src/packages/fff/tunneldigger/Makefile
+++ b/src/packages/fff/tunneldigger/Makefile
@@ -15,10 +15,10 @@ include $(INCLUDE_DIR)/package.mk
 include $(INCLUDE_DIR)/cmake.mk
 
 define Package/$(PKG_NAME)
-  SECTION:=net
-  CATEGORY:=Network
-  DEPENDS:=+libnl-tiny +kmod-l2tp +kmod-l2tp-ip +kmod-l2tp-eth +librt +libpthread
-  TITLE:=tunneldigger
+	SECTION:=net
+	CATEGORY:=Network
+	DEPENDS:=+libnl-tiny +kmod-l2tp +kmod-l2tp-ip +kmod-l2tp-eth +librt +libpthread
+	TITLE:=tunneldigger
 endef
 
 TARGET_CFLAGS += \
